export type OverridableComponent =
  | 'LoggedIn'
  | 'NoRecords'
  | 'SidebarResourceSection'
  | 'SidebarFooter'
  | 'SidebarBranding'
  | 'Sidebar'
  | 'TopBar'
  /**
   * @new added in 6.3.0
   */
  | 'Breadcrumbs'
  | 'FilterDrawer'
  | 'NoticeBox'
  | 'Version'
  | 'SidebarPages'
  | 'PropertyHeader'
  | 'RecordInList'
  | 'RecordsTableHeader'
  | 'RecordsTable'
  | 'SelectedRecords'
  | 'StyledBackButton'
  | 'ActionHeader'
  | 'ActionButton'
  | 'BulkActionRoute'
  | 'DashboardRoute'
  | 'RecordActionRoute'
  | 'ResourceActionRoute'
  | 'ResourceRoute'
  | 'PageRoute'
  | 'RouteWrapper'
  | 'Application'
  | 'DefaultEditAction'
  | 'DefaultBulkDeleteAction'
  | 'DefaultListAction'
  | 'DefaultNewAction'
  | 'DefaultShowAction'
  | 'DefaultArrayShowProperty'
  | 'DefaultArrayListProperty'
  | 'DefaultArrayEditProperty'
  | 'DefaultBooleanEditProperty'
  | 'DefaultBooleanFilterProperty'
  | 'DefaultBooleanListProperty'
  | 'DefaultBooleanShowProperty'
  | 'BooleanPropertyValue'
  | 'DefaultCurrencyEditProperty'
  | 'DefaultCurrencyShowProperty'
  | 'DefaultCurrencyListProperty'
  | 'DefaultCurrencyFilterProperty'
  | 'CurrencyPropertyInputWrapper'
  | 'DefaultDatetimeEditProperty'
  | 'DefaultDatetimeShowProperty'
  | 'DefaultDatetimeListProperty'
  | 'DefaultDatetimeFilterProperty'
  | 'DefaultPropertyValue'
  | 'DefaultShowProperty'
  | 'DefaultListProperty'
  | 'DefaultEditProperty'
  | 'DefaultFilterProperty'
  | 'DefaultMixedShowProperty'
  | 'DefaultMixedListProperty'
  | 'DefaultMixedEditProperty'
  | 'DefaultPasswordEditProperty'
  | 'DefaultPhoneEditProperty'
  | 'DefaultPhoneFilterProperty'
  | 'DefaultPhoneListProperty'
  | 'DefaultPhoneShowProperty'
  | 'DefaultReferenceEditProperty'
  | 'DefaultReferenceShowProperty'
  | 'DefaultReferenceListProperty'
  | 'DefaultReferenceFilterProperty'
  | 'DefaultReferenceValue'
  | 'DefaultRichtextEditProperty'
  | 'DefaultRichtextListProperty'
  | 'DefaultRichtextShowProperty'
  | 'DefaultTextareaEditProperty'
  | 'DefaultTextareaShowProperty'
  | 'PropertyDescription'
  | 'PropertyLabel'
  | 'Login'

/**
 * Name of the components which can be overridden by ComponentLoader.
 * @memberof AdminJS
 * @alias OverridableComponent
 * @typedef {Union} OverridableComponent
 */
