import { PropertyJSON } from '../../../interfaces/index.js';
export declare const getSubpropertyPath: (path: string, index: number) => string;
export declare const getIndexFromSubpropertyPath: (subpropertyPath: string) => number;
/**
 * Converts property: PropertyJSON from an array to a sub-property for an actual item in the array
 * It change path that it has index inside along with the label. Futhermore flat isArray is removed
 * ,because it was already handled, so that itemRenderer can render property as a regular one
 *
 * @param {PropertyJSON}  arrayProperty property with path set to an root Array type property,
 * @param {Number}        index         index under which sub-property should be placed
 * @private
 * @hide
 */
export declare const convertToSubProperty: (arrayProperty: PropertyJSON, index: number) => PropertyJSON;
